Loading...
Searching...
No Matches
Sqlite3SqlUtil::Sqlite3ForeignConstraint Class Reference

represents a Sqlite3-specific foreign constraint More...

## Public Member Functions

string | getDropSql (string table_name)
| returns a string that can be used to drop the foreign constraint from the database
softlist | getRenameSql (string table_name, string new_name)
| returns a string that drops the constraint and re-adds it, since Sqlite3 does not support renaming constraints

## Detailed Description

represents a Sqlite3-specific foreign constraint